SDL_scalbnf(3)

NAME
SDL_scalbnf - Scale x by an integer power of two.

HEADER FILE
Defined in SDL3/SDL_stdinc.h

SYNOPSIS
#include "SDL3/SDL.h"

float SDL_scalbnf(float x, int n);

DESCRIPTION
Multiplies x by the n th power of the floating point radix (always 2). Domain: -INF<=x<=INF , n integer Range: -INF<=y<=INF This function operates on single-precision floating point values, use SDL_scalbn
 for double-precision floats.

FUNCTION PARAMETERS

x   floating point value to be scaled

n   integer exponent

RETURN VALUE
Returns x*2^n

AVAILABILITY
This function is available since SDL 3.0.0.

SEE ALSO
SDL_scalbn(3), SDL_powf(3)